# Uses of Class
ij.measure.Calibration

Packages that use Calibration
Package
Description
ij
ij.gui
ij.io
ij.measure
ij.process

## Uses of Calibration in ij

Methods in ij that return Calibration
Modifier and Type
Method
Description
`Calibration`
ImagePlus.`getCalibration()`
Returns this image's calibration.
`Calibration`
ImagePlus.`getGlobalCalibration()`
Returns the system-wide calibration, or null.
`Calibration`
ImagePlus.`getLocalCalibration()`
Returns this image's local calibration, ignoring the "Global" calibration flag.
`static Calibration`
ImagePlus.`getStaticGlobalCalibration()`
This is a version of getGlobalCalibration() that can be called from a static context.
Methods in ij with parameters of type Calibration
Modifier and Type
Method
Description
`void`
ImagePlus.`setCalibration(Calibration cal)`
Sets this image's calibration.
`void`
ImagePlus.`setGlobalCalibration(Calibration global)`
Sets the system-wide calibration.

## Uses of Calibration in ij.gui

Fields in ij.gui declared as Calibration
Modifier and Type
Field
Description
`protected Calibration`
HistogramWindow.`cal`
Methods in ij.gui with parameters of type Calibration
Modifier and Type
Method
Description
`void`
Plot.`adjustCalibration(Calibration cal)`
Adjusts a Calibration object to fit the current axes.

## Uses of Calibration in ij.io

Constructors in ij.io with parameters of type Calibration
Modifier
Constructor
Description
``
`TextEncoder(ImageProcessor ip, Calibration cal, int precision)`
Constructs a TextEncoder from an ImageProcessor and optional Calibration.

## Uses of Calibration in ij.measure

Methods in ij.measure that return Calibration
Modifier and Type
Method
Description
`Calibration`
Calibration.`copy()`
Returns a clone of this object.
Methods in ij.measure with parameters of type Calibration
Modifier and Type
Method
Description
`boolean`
Calibration.`equals(Calibration cal)`
Compares two Calibration objects for equality.

## Uses of Calibration in ij.process

Fields in ij.process declared as Calibration
Modifier and Type
Field
Description
`protected Calibration`
ImageStatistics.`cal`
Methods in ij.process with parameters of type Calibration
Modifier and Type
Method
Description
`static ImageStatistics`
ImageStatistics.`getStatistics(ImageProcessor ip, int mOptions, Calibration cal)`
Calculates and returns statistics for the specified image using the specified measurent options and calibration.
`protected void`
ImageStatistics.`saveThreshold(double minThreshold, double maxThreshold, Calibration cal)`
Constructors in ij.process with parameters of type Calibration
Modifier
Constructor
Description
``
`ByteStatistics(ImageProcessor ip, int mOptions, Calibration cal)`
Constructs a ByteStatistics object from a ByteProcessor using the specified measurement and calibration.
``
`ColorStatistics(ImageProcessor ip, int mOptions, Calibration cal)`
Constructs a ColorStatistics object from a ColorProcessor using the specified measurement options.
``
`FloatStatistics(ImageProcessor ip, int mOptions, Calibration cal)`
Constructs a FloatStatistics object from a FloatProcessor using the specified measurement options.
``
`ShortStatistics(ImageProcessor ip, int mOptions, Calibration cal)`
Constructs a ShortStatistics object from a ShortProcessor using the specified measurement options.